Bug 747157 - Editor Configuration: Esc key to close editor option
Summary: Editor Configuration: Esc key to close editor option
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 1.4-RC
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Alex Eng
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-18 23:34 UTC by Alex Eng
Modified: 2012-11-27 07:40 UTC (History)
2 users (show)

Fixed In Version: 1.4.2-SNAPSHOT (20111019-0917)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 07:35:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 729843 None None None Never
Red Hat Bugzilla 880500 None None None Never

Internal Links: 729843 880500

Description Alex Eng 2011-10-18 23:34:31 UTC
Description of problem:
Implement 'ESC' key to close editor option in user config popup.

If enabled, editor closes when ESC key is pressed.
If not enabled(default), ESC key does nothing.

Comment 1 Alex Eng 2011-10-18 23:35:50 UTC
Implementation done. See https://github.com/zanata/zanata/commit/f30989daae98296ad53573fd1f490baf6eae33b2

Comment 2 Ding-Yi Chen 2011-10-19 00:34:35 UTC
VERIFIED with Zanata version 1.4.2-SNAPSHOT (20111019-0917)


Note You need to log in before you can comment on or make changes to this bug.